## zita-rev1 0.1.1

=== source/Makefile ===
# --------------------------------------------------------------------------
#
#  Copyright (C) 2010 Fons Adriaensen <fons@kokkinizita.net>
#
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation; either version 2 of the License, or
#  (at your option) any later version.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program; if not, write to the Free Software
#  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#
# --------------------------------------------------------------------------


PREFIX = /usr/local
SUFFIX := $(shell uname -m | sed -e 's/^unknown/$//' -e 's/^i.86/$//' -e 's/^x86_64/$/64/')
LIBDIR = lib$(SUFFIX)
SHARED = $(PREFIX)/share/zita-rev1
VERSION = 0.1.1
CPPFLAGS += -O2 -ffast-math -Wall -MMD -MP -DVERSION=\"$(VERSION)\" -DSHARED=\"$(SHARED)\"
CPPFLAGS += -march=native


all:	zita-rev1

ZITA-REV1_O = zita-rev1.o styles.o jclient.o mainwin.o png2img.o guiclass.o rotary.o reverb.o pareq.o
zita-rev1:	CPPFLAGS += -I/usr/X11R6/include `freetype-config --cflags`
zita-rev1:	LDLIBS += -lcairo -lclxclient -lclthreads -ljack -lpng -lXft -lX11 -lrt
zita-rev1:	LDFLAGS += -L/usr/X11R6/lib
zita-rev1:	$(ZITA-REV1_O) 
	g++ $(LDFLAGS) -o $@ $(ZITA-REV1_O) $(LDLIBS)
$(ZITA-REV1_O):
-include $(ZITA-REV1_O:%.o=%.d)



install:	all
	install -m 755 zita-rev1 $(DESTDIR)$(PREFIX)/bin
	install -d $(DESTDIR)$(SHARED)
	rm -rf $(DESTDIR)$(SHARED)/*
	install -m 644 ../share/* $(DESTDIR)$(SHARED)


uninstall:
	rm -f $(DESTDIR)$(PREFIX)/bin/zita-rev1
	rm -rf $(DESTDIR)$(SHARED)


clean:
	/bin/rm -f *~ *.o *.a *.d *.so
	/bin/rm -f zita-rev1

=== debian/changelog ===
zita-rev1 (0.1.1-3) unstable; urgency=low

  * Icon added

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Fri, 27 May 2011 19:20:07 +0200

zita-rev1 (0.1.1-2) unstable; urgency=low

  * Don't compile with -march=native, fix FTBFSs.

 -- Alessio Treglia <alessio@debian.org>  Tue, 24 May 2011 18:08:12 +0200

zita-rev1 (0.1.1-1) unstable; urgency=low

  * Initial release (Closes: #627255).

 -- Alessio Treglia <alessio@debian.org>  Thu, 19 May 2011 09:53:23 +0200

=== debian/control ===
Source: zita-rev1
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Alessio Treglia <alessio@debian.org>,
 Jaromír Mikeš <mira.mikes@seznam.cz>,
 Robin Gareus <robin@gareus.org>
Build-Depends: debhelper (>= 7.0.50~),
 libcairo2-dev,
 libclxclient-dev,
 libclthreads-dev,
 libjack-dev | libjack-jackd2-dev,
 libpng12-dev,
 x11proto-core-dev
Homepage: http://kokkinizita.linuxaudio.org/linuxaudio/zita-rev1-doc/quickguide.html
Standards-Version: 3.9.2
Vcs-Git: git://git.debian.org/pkg-multimedia/zita-rev1.git
Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/zita-rev1.git

Package: zita-rev1
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends}
Description: pro-audio reverb effect
 REV1 is a reworked version of the reverb originally developed for Aeolus.
 Its character is more 'hall' than 'plate', but it can be used on a wide
 variety of instruments or voices. It is not a spatialiser - the early
 reflections are different for the L and R inputs, but do not correspond
 to any real room. They have been tuned to match left and right sources to
 some extent.
 .
 In Stereo mode a dry/wet mix control is provided, so it can be used either
 as an insert or in send/return mode. For mono just connect one of the
 two channels.
 .
 In Ambisonic mode (selected by the -B command line option) the only option
 is the send/return mode.

## zita-rev1 0.2.1

=== source/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # --------------------------------------------------------------------------
 #
-#  Copyright (C) 2010 Fons Adriaensen <fons@kokkinizita.net>
+#  Copyright (C) 2010-2011 Fons Adriaensen <fons@linuxaudio.org>
 #
 #  This program is free software; you can redistribute it and/or modify
 #  it under the terms of the GNU General Public License as published by
@@ -22,8 +22,9 @@
 PREFIX = /usr/local
 SUFFIX := $(shell uname -m | sed -e 's/^unknown/$//' -e 's/^i.86/$//' -e 's/^x86_64/$/64/')
 LIBDIR = lib$(SUFFIX)
+BINDIR = $(PREFIX)/bin
 SHARED = $(PREFIX)/share/zita-rev1
-VERSION = 0.1.1
+VERSION = 0.2.1
 CPPFLAGS += -O2 -ffast-math -Wall -MMD -MP -DVERSION=\"$(VERSION)\" -DSHARED=\"$(SHARED)\"
 CPPFLAGS += -march=native
 
@@ -33,6 +34,7 @@
 ZITA-REV1_O = zita-rev1.o styles.o jclient.o mainwin.o png2img.o guiclass.o rotary.o reverb.o pareq.o
 zita-rev1:	CPPFLAGS += -I/usr/X11R6/include `freetype-config --cflags`
 zita-rev1:	LDLIBS += -lcairo -lclxclient -lclthreads -ljack -lpng -lXft -lX11 -lrt
+zita-rev1:	LDFLAGS += -pthread
 zita-rev1:	LDFLAGS += -L/usr/X11R6/lib
 zita-rev1:	$(ZITA-REV1_O) 
 	g++ $(LDFLAGS) -o $@ $(ZITA-REV1_O) $(LDLIBS)
@@ -42,14 +44,15 @@
 
 
 install:	all
-	install -m 755 zita-rev1 $(DESTDIR)$(PREFIX)/bin
+	install -d $(DESTDIR)$(BINDIR)
 	install -d $(DESTDIR)$(SHARED)
+	install -m 755 zita-rev1 $(DESTDIR)$(BINDIR)
 	rm -rf $(DESTDIR)$(SHARED)/*
 	install -m 644 ../share/* $(DESTDIR)$(SHARED)
 
 
 uninstall:
-	rm -f $(DESTDIR)$(PREFIX)/bin/zita-rev1
+	rm -f  $(DESTDIR)$(BINDIR)/zita-rev1
 	rm -rf $(DESTDIR)$(SHARED)

=== debian/changelog ===
zita-rev1 (0.2.1-5) unstable; urgency=medium

  * Set dh/compat 10.
  * Sign tags.
  * Avoid useless linking.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Tue, 27 Dec 2016 16:29:59 +0100

zita-rev1 (0.2.1-4) unstable; urgency=medium

  * Bump Standards.
  * Fix VCS fields.
  * Remove menu file.
  * Fix hardening.
  * Add french man pages.
  * Add french to desktop file. (Closes: #825042)
  * Tune .gitignore file.
  * Update copyright file.
  * Enable parallel build.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Mon, 08 Aug 2016 18:18:16 +0200

zita-rev1 (0.2.1-3) unstable; urgency=low

  * Set dh/compat 9
  * Removed DMUA.
  * Don't sign tags.
  * Fix VCS canonical URLs.
  * Bump standards.
  * Tighten build-deps.
  * Update copyright file.
  * Added Keywords entry to desktop file.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Mon, 12 Aug 2013 22:59:01 +0200

zita-rev1 (0.2.1-2) unstable; urgency=low

  * Team upload.
  * libpng12-dev -> libpng-dev (Closes: #662577)
  * Set DMUA to yes.
  * Remove myself from the Uploaders field.
  * Update debian/copyright.
  * Bump Standards.

 -- Alessio Treglia <alessio@debian.org>  Thu, 12 Apr 2012 00:51:41 +0200

zita-rev1 (0.2.1-1) unstable; urgency=low

  * New upstream release.
  * Update debian/copyright.
  * Refresh patches.
  * Build-dep on libjack-dev only.

 -- Alessio Treglia <alessio@debian.org>  Fri, 17 Jun 2011 11:34:20 +0200

=== debian/control ===
--- 
+++ 
@@ -2,25 +2,27 @@
 Section: sound
 Priority: optional
 Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
-Uploaders: Alessio Treglia <alessio@debian.org>,
+Uploaders:
  Jaromír Mikeš <mira.mikes@seznam.cz>,
  Robin Gareus <robin@gareus.org>
-Build-Depends: debhelper (>= 7.0.50~),
+Build-Depends:
+ debhelper (>= 10),
  libcairo2-dev,
- libclxclient-dev,
- libclthreads-dev,
- libjack-dev | libjack-jackd2-dev,
- libpng12-dev,
+ libclthreads-dev (>= 2.4.0),
+ libclxclient-dev (>= 3.9.0),
+ libjack-dev,
+ libpng-dev,
  x11proto-core-dev
+Standards-Version: 3.9.8
+Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/zita-rev1.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/zita-rev1.git
 Homepage: http://kokkinizita.linuxaudio.org/linuxaudio/zita-rev1-doc/quickguide.html
-Standards-Version: 3.9.2
-Vcs-Git: git://git.debian.org/pkg-multimedia/zita-rev1.git
-Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/zita-rev1.git
 
 Package: zita-rev1
 Architecture: any
-Depends: ${shlibs:Depends},
- ${misc:Depends}
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends}
 Description: pro-audio reverb effect
  REV1 is a reworked version of the reverb originally developed for Aeolus.
  Its character is more 'hall' than 'plate', but it can be used on a wide

=== debian/watch ===
version=3
http://kokkinizita.linuxaudio.org/linuxaudio/downloads/index.html \
	zita-rev1-(.*)\.tar\.bz2

## zita-rev1 0.2.2

=== source/Makefile ===
# ----------------------------------------------------------------------------
#
#  Copyright (C) 2009-2018 Fons Adriaensen <fons@linuxaudio.org>
#    
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation; either version 3 of the License, or
#  (at your option) any later version.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
# ----------------------------------------------------------------------------


PREFIX ?= /usr/local
BINDIR ?= $(PREFIX)/bin
SHARED ?= $(PREFIX)/share/zita-rev1

VERSION = 0.2.2
CPPFLAGS += -MMD -MP -DVERSION=\"$(VERSION)\" -DSHARED=\"$(SHARED)\"
CXXFLAGS += -O2 -Wall -ffast-math -pthread
CXXFLAGS += -march=native


all:	zita-rev1


ZITA-REV1_O = zita-rev1.o styles.o jclient.o mainwin.o png2img.o guiclass.o rotary.o reverb.o pareq.o
zita-rev1:	CPPFLAGS += $(shell pkgconf --cflags freetype2)
zita-rev1:	LDLIBS += -lclxclient -lclthreads -lpng -lcairo -ljack -lpthread -lXft -lX11 -lrt
zita-rev1:	$(ZITA-REV1_O) 
	$(CXX) $(LDFLAGS) -o $@ $(ZITA-REV1_O) $(LDLIBS)
$(ZITA-REV1_O):
-include $(ZITA-REV1_O:%.o=%.d)



install:	all
	install -d $(DESTDIR)$(BINDIR)
	install -d $(DESTDIR)$(SHARED)
	install -m 755 zita-rev1 $(DESTDIR)$(BINDIR)
	rm -rf $(DESTDIR)$(SHARED)/*
	install -m 644 ../share/* $(DESTDIR)$(SHARED)


uninstall:
	rm -f  $(DESTDIR)$(BINDIR)/zita-rev1
	rm -rf $(DESTDIR)$(SHARED)


clean:
	/bin/rm -f *~ *.o *.a *.d *.so
	/bin/rm -f zita-rev1

=== debian/changelog ===
zita-rev1 (0.2.2-2build3) noble; urgency=high

  * No change rebuild against libclthreads2t64, libclxclient3t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 08 Apr 2024 16:52:33 +0200

zita-rev1 (0.2.2-2build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 17:34:39 +0000

zita-rev1 (0.2.2-2build1) noble; urgency=medium

  * No-change rebuild against libpng16-16t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 29 Feb 2024 08:48:46 +0000

zita-rev1 (0.2.2-2) unstable; urgency=medium

  [ Helmut Grohne ]
  * Fix FTCBFS: Pass a triplet-prefixed pkg-config. (Closes: #949990)

  [ Dennis Braun ]
  * Add a bigger icon
  * Add me as uploader
  * Bump dh-compat to 13
  * d/rules: Remove -Wl,--as-needed ldflags

 -- Dennis Braun <d_braun@kabelmail.de>  Sun, 09 Aug 2020 21:39:01 +0200

zita-rev1 (0.2.2-1) unstable; urgency=medium

  * Team upload

  [ Felipe Sateler ]
  * Change maintainer address to debian-multimedia@lists.debian.org

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https protocol in Format field

  [ Dennis Braun ]
  * New upstream release 0.2.2
  * d/control:
    + Bump debhelper-compat to 12
    + Bump standards version to 4.5.0
    + Use https protocol for homepage
    + Add libfreetype6-dev and pkg-config to B-D
    + Set RRR: no
  * d/copyright: Update year, GPL2+ text, http > https & add myself
  * d/patches: Update 01-makefile.patch
    + Add fixed pkgconf installation
  * d/source/local-options: Drop, obsolete
  * d/watch: Use https protocol

 -- Dennis Braun <d_braun@kabelmail.de>  Mon, 27 Jan 2020 22:53:37 +0100

=== debian/control ===
--- 
+++ 
@@ -1,22 +1,27 @@
 Source: zita-rev1
 Section: sound
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
+ Dennis Braun <d_braun@kabelmail.de>,
  Jaromír Mikeš <mira.mikes@seznam.cz>,
  Robin Gareus <robin@gareus.org>
 Build-Depends:
- debhelper (>= 10),
+ debhelper-compat (= 13),
  libcairo2-dev,
  libclthreads-dev (>= 2.4.0),
  libclxclient-dev (>= 3.9.0),
+ libfreetype6-dev,
  libjack-dev,
  libpng-dev,
+ pkg-config,
  x11proto-core-dev
-Standards-Version: 3.9.8
-Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/zita-rev1.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/zita-rev1.git
-Homepage: http://kokkinizita.linuxaudio.org/linuxaudio/zita-rev1-doc/quickguide.html
+Rules-Requires-Root: no
+Standards-Version: 4.5.0
+Vcs-Git: https://salsa.debian.org/multimedia-team/zita-rev1.git
+Vcs-Browser: https://salsa.debian.org/multimedia-team/zita-rev1
+Homepage: https://kokkinizita.linuxaudio.org/linuxaudio/zita-rev1-doc/quickguide.html
 
 Package: zita-rev1
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

include /usr/share/dpkg/buildtools.mk

export PKG_CONF=$(PKG_CONFIG)

export PREFIX=/usr

%:
	dh $@ -Dsource

override_dh_installchangelogs:
	dh_installchangelogs README
